Parse::Method::Signatures::Sig(3)

NAME
Parse::Method::Signatures::Sig - Method Signature

DESCRIPTION
Represents the parsed method signature.

ATTRIBUTES

  invocant

  named_params
A ParamCollection representing the name parameters of this signature.

  positional_params
A ParamCollection representing the positional parameters of this signature.

METHODS

  has_named_params
Predicate returning true if this signature has named parameters.

  has_positional_params
Predicate returning true if this signature has positional parameters.

  named_param
Returns the Param with the specified name.

  to_string
Returns a string representation of this signature.

LICENSE
Licensed under the same terms as Perl itself.